require 'phi'
require "dialogs"

od = Phi::OpenDialog.new

#od.file_name = "c:/program files/apollo".tr("/","\\")
od.file_name = "c:/program files/apollo"
STDOUT.flush
p od.file_name

if od.execute
  p od.file_name
else
 p :fail
end
